Page MenuHomePhabricator

Localized language for "The Free Encyclopedia" under Wikipedia header
Closed, ResolvedPublic

Description

Insert the phrase "The Free Encyclopedia" under the Wikipedia header and remove the phrase in the top 10 links around the globe.

The phrase will be in the user's preferred language, when available, otherwise it will not display.

The Wikipedia header will also be in the user's preferred language, as available.

Event Timeline

debt created this task.Jan 22 2016, 11:15 PM
debt raised the priority of this task from to Medium.
debt updated the task description. (Show Details)
debt added subscribers: debt, MSyed, JGirault.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:15 PM
debt set Security to None.Jan 22 2016, 11:16 PM
debt added a subscriber: mxn.

translations for this tag line 'the free encyclopedia' are available from the https://translatewiki.net project.
We can use the mediaWiki API to retrieve these translations as needed.

A request like this one retrieves all the available translations for the phrase 'the free encyclopedia' from the wikipedia iOS project.
(click 'Make request' to view api results).

The Adroid and iOS apps seems to be only projects with a translation of this phrase.

debt updated the task description. (Show Details)Mar 1 2016, 10:14 PM
debt assigned this task to Jdrewniak.Mar 9 2016, 4:16 PM
debt moved this task from To Discuss to What's Next on the Discovery-Portal-Sprint board.
debt added a comment.Mar 9 2016, 4:34 PM

I tested this morning on @Jdrewniak's local instance: looks good! I used Chinese (simplified), Spanish, French (Canadian) and English as the order of my browser (Chrome) preferences.

debt moved this task from In Progress to Done on the Discovery-Portal-Sprint board.
debt closed this task as Resolved.Mar 23 2016, 6:15 PM

This has been pushed into production for the A/B test that went into production on March 22, 2016.

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Apr 7 2016, 3:39 PM